Bug 586660 - Cannot Install PaperBox - Dependency Conflict
Cannot Install PaperBox - Dependency Conflict
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: compat-tracker (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 00:58 EDT by David Le Sage
Modified: 2010-05-02 18:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 21:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Le Sage 2010-04-28 00:58:45 EDT
Description of problem:
If tracker is already installed on the computer, one cannot install Paperbox because of conflict with compat-tracker..  

Version-Release number of selected component (if applicable):
paperbox 0.4.4-2
compat-tracker-0.6.96-4.fc13.i686
tracker 0.8.3-1.fc13.i686

How reproducible:
Every time.

Steps to Reproduce:
1. Have tracker already installed on the machine.
2. su
3. yum install paperbox 

  
Actual results:
--> Processing Conflict: compat-tracker-0.6.96-4.fc13.i686 conflicts tracker >= 0.7
--> Finished Dependency Resolution
Error: compat-tracker conflicts with tracker
 You could try using --skip-broken to work around the problem


Expected results:
Paperbox should install without dependecy conflicts.

Additional info:
--skip-broken switch cannot resolve this problem.
Comment 1 Gareth John 2010-04-29 18:47:05 EDT
Hi David i will close this bug as a duplicate as the same problem has been commented on and a fix given by the build error bug report. please see https://bugzilla.redhat.com/show_bug.cgi?id=564997 I will add the fix ASAP.
Comment 2 Gareth John 2010-04-29 18:47:22 EDT

*** This bug has been marked as a duplicate of bug 564997 ***
Comment 3 Hicham HAOUARI 2010-04-29 19:21:58 EDT
@ Gareth,

This bug has nothing to do with FTBFS.

@ David,

Sorry for the inconvenience, but compat-tracker have been made explicitely conflicting with tracker, the reason was that having two indexers will bring most machines to their knees. Conflict doesn't seem to be the best approach. Reassiging the bug to Deji.
Comment 4 David Le Sage 2010-04-29 19:25:39 EDT
Gareth and Hicham, 

Okay, thanks for looking into this and explaining it.


Cheers.
Comment 5 Gareth John 2010-04-29 19:38:50 EDT
Hicham,

thanks for filling me in i knew there were some problems with API's changing. I havent been able to look at it much, even if i had i couldnt produce a fix in code. Either way upstream will not fix this at all I am guessing if no one will fix it then it's end of life having not had this situation before im not sure?
Comment 6 Gareth John 2010-04-29 19:43:04 EDT
On that note can i not just add it as a conflict in spec? I guess the decision was made somewhere for the compat package?
Comment 7 Hicham HAOUARI 2010-04-29 19:45:25 EDT
Hi Gareth,

If I were you, I would have dropped paperbox. Because :

- Upstream is dead ( as they had informed Deji )
- Deji created compat-tracker just to maintain ABI compatibility for paperbox, which caused a lot of debate, and finally he settled down for creating this intentional conflict, which created problems for users.
Comment 8 Hicham HAOUARI 2010-04-29 19:46:24 EDT
(In reply to comment #6)
> On that note can i not just add it as a conflict in spec? I guess the decision
> was made somewhere for the compat package?    

Yes, the conflict is in compat-tracker. But as you can see, this is creating problems for users.
Comment 9 Hicham HAOUARI 2010-04-29 19:49:46 EDT
@ Gareth,

For more insight, see : https://bugzilla.redhat.com/show_bug.cgi?id=572233
Comment 10 Deji Akingunola 2010-04-29 21:54:57 EDT
(In reply to comment #3)
> @ Gareth,
> 
> This bug has nothing to do with FTBFS.
> 
> @ David,
> 
> Sorry for the inconvenience, but compat-tracker have been made explicitely
> conflicting with tracker, the reason was that having two indexers will bring
> most machines to their knees. Conflict doesn't seem to be the best approach.
> Reassiging the bug to Deji.    

You really can't have it both ways with paperbox and tracker-0.8.3, they just don't work together (I've tried it). I can make compat-tracker parallel-installable with tracker-0.8.x in way that makes paperbox work, but that will cause (the buggy) tracker-0.6.x daemon to kick-in and corrupt the database for tracker-0.8.x. Paperbox will then work, but none of tracker-0.8.x functionality will work properly (for instance you won't be able to use the search-tool and nautilus-tracker integration will also have problem).
In summary, if you want to use paperbox, you will have to stick with tracker-0.6.x (compat-tracker) only. IMO, you don't really need paperbox if you have tracker-0.8.x; the search/document detection can be done with tracker-search-tool and the tagging function is now nicely integrated with nautilus.

I have also tested making compat-tracker parallel installable with tracker in such a way that tracker-0.8.x continues to function normally (exclude tracker daemon and tracker-indexer from the compat-package), but that would only make paperbox installable but totally useless.

I'm sorry I have to close this bug as 'cant-fix'. If you have an idea that would work, please state and you can re-open the bug.
Comment 11 Gareth John 2010-04-30 02:40:39 EDT
I will read up on end of life later and drop paperbox. If tracker 0.8 gives the same functionality also and as i know upstream wont fix.

Note You need to log in before you can comment on or make changes to this bug.